#include "DBDGameUserSettings.h"
#include "EChallengeTrackerNotificationMode.h"
#include "Rendering/RenderingCommon.h"

class UDBDGameUserSettings;

EChallengeTrackerNotificationMode UDBDGameUserSettings::GetTomesChallengeNotification() const
{
	return EChallengeTrackerNotificationMode::All;
}

bool UDBDGameUserSettings::GetTerrorRadiusVisualFeedback() const
{
	return false;
}

int32 UDBDGameUserSettings::GetSkillCheckScaleFactor() const
{
	return 0;
}

int32 UDBDGameUserSettings::GetMenuScaleFactor() const
{
	return 0;
}

bool UDBDGameUserSettings::GetLegacyPrestigePortraits() const
{
	return false;
}

bool UDBDGameUserSettings::GetLargeText() const
{
	return false;
}

bool UDBDGameUserSettings::GetHUDUseItemPickupPopupAbridgedVersion() const
{
	return false;
}

bool UDBDGameUserSettings::GetHUDScoreEventsVisibility() const
{
	return false;
}

int32 UDBDGameUserSettings::GetHudScaleFactor() const
{
	return 0;
}

bool UDBDGameUserSettings::GetHUDPlayerNamesVisibility() const
{
	return false;
}

bool UDBDGameUserSettings::GetHUDKillerHookCountVisibility() const
{
	return false;
}

int32 UDBDGameUserSettings::GetFieldOfView() const
{
	return 0;
}

bool UDBDGameUserSettings::GetDeepWoundBarVisibility() const
{
	return false;
}

UDBDGameUserSettings* UDBDGameUserSettings::GetDBDGameUserSettings()
{
	return NULL;
}

int32 UDBDGameUserSettings::GetColorBlindModeIntensity() const
{
	return 0;
}

EColorVisionDeficiency UDBDGameUserSettings::GetColorBlindMode() const
{
	return EColorVisionDeficiency::NormalVision;
}

bool UDBDGameUserSettings::GetBloodwebInteractionBehaviour() const
{
	return false;
}

UDBDGameUserSettings::UDBDGameUserSettings()
{
	this->DeviceLoginTokenID = TEXT("");
	this->ScalabilityLevel = 3;
	this->AutoScalabilitySet = false;
	this->AutoAdjust = false;
	this->ScreenRenderSize = 100;
	this->HUDConstrainedAspectRatio = false;
	this->MenuScaleFactor = 100;
	this->HudScaleFactor = 100;
	this->SkillCheckScaleFactor = 100;
	this->LargeText = false;
	this->BloodwebInteractionBehaviour = true;
	this->TerrorRadiusVisualFeedback = true;
	this->DeepWoundBarVisibility = true;
	this->FieldOfView = 87;
	this->HUDPlayerNamesVisibility = true;
	this->HUDKillerHookCountVisibility = true;
	this->HUDScoreEventsVisibility = true;
	this->HUDUseItemPickupPopupAbridgedVersion = true;
	this->LegacyPrestigePortraits = true;
	this->ShowHudStatusEffectValueNumber = true;
	this->FPSLimitMode = 60;
	this->AntiAliasingMode = 2;
	this->EnableFSR = false;
	this->SharpnessValue = 3.000000;
	this->XeSSMode = 0;
	this->MainVolume = 50;
	this->MainVolumeOn = true;
	this->MenuMusicVolume = 100;
	this->MenuMusicVolumeOn = true;
	this->UseHeadphones = true;
	this->MuteOnFocusLost = true;
	this->HapticsVibrationPS5 = true;
	this->KillerCameraSensitivity = 50;
	this->SurvivorCameraSensitivity = 50;
	this->KillerMouseSensitivity = 75;
	this->SurvivorMouseSensitivity = 75;
	this->KillerControllerSensitivity = 100;
	this->SurvivorControllerSensitivity = 50;
	this->AimAssist = true;
	this->ControlType = 1;
	this->InvertY = false;
	this->SurvivorInvertY = false;
	this->KillerToggleInteractions = false;
	this->SurvivorToggleInteractions = false;
	this->SprintToCancel = false;
	this->Language = TEXT("en");
	this->VoiceOverLanguage = 1;
	this->LanguageIsDefinedByPlayer = false;
	this->HighestWeightSeenNews = 0;
	this->LastPanelContextId = 0;
	this->ArchivesAutoPlayVoiceOver = true;
	this->ArchivesFullscreenTextVisibility = true;
	this->HasAcceptedCrossplayPopup = true;
	this->HasAcceptedProgressionSystemInfoPopup = true;
	this->HasAcceptedHapticsVibrationPopup = false;
	this->UseAtlantaCustomizedHuds = false;
	this->UseAtlantaSurvivorQuickTurn = true;
	this->UseAtlantaKillerQuickTurn = true;
	this->ShowPortraitBorder = false;
	this->PartyPrivacyState = TEXT("public");
	this->ColorBlindMode = 0;
	this->ColorBlindModeIntensity = 10;
	this->BeginnerMode = false;
	this->Subtitles = false;
	this->SubtitlesBackgroundOpacity = 1;
	this->SubtitlesSize = 1;
	this->IsAnonymousMode = false;
	this->AllowCopyrightedMusic = true;
	this->HideYourName = false;
	this->HideOtherNames = false;
	this->HiddenMatchmakingDelay = false;
	this->PlayerCardAnimationMode = 0;
	this->AnimateRarityBackgrounds = true;
	this->TomesChallengeNotification = 1;
	this->DailyChallengeNotification = 1;
	this->EventChallengeNotification = 1;
	this->BattlePassChallengeNotification = 1;
	this->MilestoneChallengeNotification = 1;
	this->Gamma = 2.200000;
}
